//dom选择器封装,模仿jQuery

(function(window,undefined){
	var WJMdom=function(selector){
		return new WJMdom.fn.init(selector);//返回init实例
	}
	WJMdom.fn=WJMdom.prototype={
		init:function(selector){
			var doc=document;
			//消除字符串头尾空白字符
			String.prototype.trim=function(){
				//用replace消除空白字符
				return this.replace(/^\s\s*/, '').replace(/\s\s*$/, '');//直接使用trim()不兼容IE
			}
			//IE9-不支持数组的indexOf
			if(!Array.prototype.indexOf){
				//添加数组原型indexOf属性
				Array.prototype.indexOf=function(value){
					for(var i=0,len=this.length;i<len;i++){
						if(this[i]==value){
							return i;
						}
					}
					return -1;
				}
			}
			if(selector.trim().split(' ').length>1){
				//复合选择器,未完待续
				
			}else{
				//单项选择器,调用javascript内部原生dom选择
				var type=selector.trim().charAt(0);//返回第一个字符
				switch(type){
					case '.':
						//类选择器,IE不兼容getElementsByClassName方法
						var classes=[];
						if(doc.getElementsByClassName){
							return doc.getElementsByClassName(selector.slice(1,selector.length));
						}else{
							var node=doc.getElementsByTagName('*');
							for(var i=0;i<node.length;i++){
								var cla=node[i].className.split(/\s+/);//类名
								if(cla.indexOf(selector.slice(1))!=-1){//如果存在节点
									classes.push(node[i]);
								}
							}
							return classes;
						}
						
					break;
					case '#':
						//id选择器
						return doc.getElementById(selector.slice(1,selector.length));
					break;
					case '[':
						//属性选择器，未完待续
						
					break;
					default ://tag标签选择器
						return doc.getElementsByTagName(selector);

				}
			}

			return this;
		}
	}
	WJMdom.fn.init.prototype=WJMdom.prototype;//继承
	window.WJMdom=window.$=WJMdom;//注册全局变量$
})(window);